OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
statusbar_gui.cpp File Reference

The GUI for the bottom status bar. More...

`#include "stdafx.h"`
`#include "date_func.h"`
`#include "gfx_func.h"`
`#include "news_func.h"`
`#include "company_func.h"`
`#include "string_func.h"`
`#include "strings_func.h"`
`#include "company_base.h"`
`#include "tilehighlight_func.h"`
`#include "news_gui.h"`
`#include "company_gui.h"`
`#include "window_gui.h"`
`#include "saveload/saveload.h"`
`#include "window_func.h"`
`#include "statusbar_gui.h"`
`#include "toolbar_gui.h"`
`#include "core/geometry_func.hpp"`
`#include "widgets/statusbar_widget.h"`
`#include "table/strings.h"`
`#include "table/sprites.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Data Structures
struct | StatusBarWindow

## Functions
static bool | DrawScrollingStatusText (const NewsItem *ni, int scroll_pos, int left, int right, int top, int bottom)
bool | IsNewsTickerShown ()
| Checks whether the news ticker is currently being used.
void | ShowStatusBar ()
| Show our status bar.

## Variables
static const NWidgetPart | _nested_main_status_widgets []
static WindowDesc | _main_status_desc (WDP_MANUAL, NULL, 0, 0, WC_STATUS_BAR, WC_NONE, WDF_NO_FOCUS, _nested_main_status_widgets, lengthof(_nested_main_status_widgets))

## Detailed Description

The GUI for the bottom status bar.

Definition in file statusbar_gui.cpp.

## Variable Documentation

const NWidgetPart _nested_main_status_widgets[]
| static

Initial value:
{
NWidget(NWID_HORIZONTAL),
NWidget(WWT_PANEL, COLOUR_GREY, WID_S_LEFT), SetMinimalSize(140, 12), EndContainer(),
NWidget(WWT_PUSHBTN, COLOUR_GREY, WID_S_MIDDLE), SetMinimalSize(40, 12), SetDataTip(0x0, STR_STATUSBAR_TOOLTIP_SHOW_LAST_NEWS), SetResize(1, 0),
NWidget(WWT_PUSHBTN, COLOUR_GREY, WID_S_RIGHT), SetMinimalSize(140, 12),
EndContainer(),
}

Definition at line 238 of file statusbar_gui.cpp.